var admobid = {};
var interstitialIsReady = false;
var run_ads = null;
// TODO: replace the following ad units with your own
if (/(android)/i.test(navigator.userAgent)) {
    admobid = { // for Android
        banner: 'ca-app-pub-6182056748148302/8922798711',
        interstitial: 'ca-app-pub-6182056748148302/7226573661'
    };
} else if (/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
    admobid = { // for iOS
        banner: 'ca-app-pub-6182056748148302/8922798711',
        interstitial: 'ca-app-pub-6182056748148302/7226573661'
    };
} else {
    admobid = { // for Windows Phone
        banner: 'ca-app-pub-6182056748148302/8922798711',
        interstitial: 'ca-app-pub-6182056748148302/7226573661'
    };
}


function initApp() {
    if (!AdMob) {
        // alert('admob plugin not ready');
        return;
    }

    // this will create a banner on startup
    if (admobid.banner != "") {
        AdMob.createBanner({
            adId: admobid.banner,
            position: AdMob.AD_POSITION.BOTTOM_CENTER,
            overlap: false,
            offsetTopBar: true,
            bgColor: 'black'
        });
    }
    // this will load a full screen ad on startup
    if (admobid.interstitial != "") {
        AdMob.prepareInterstitial({
            adId: admobid.interstitial,
            isTesting: false, // TODO: remove this line when release
            autoShow: false
        });
    }
}

document.addEventListener('onAdFailLoad', function(data) {
    if (data.adType == 'banner') { AdMob.hideBanner(); }
    if (data.adType == 'interstitial') { interstitialIsReady = false; }
});


document.addEventListener('onAdLoaded', function(data) {
    if (data.adType == 'interstitial') {
        interstitialIsReady = true;
    }
});

function showInter() {
    if (!AdMob) {
        // alert('admob plugin not ready');
        return;
    }

    if (run_ads == null && admobid.interstitial != "") {
        run_ads = setInterval(function() {
            if (interstitialIsReady) {
                clearInterval(run_ads);
                run_ads = null;
                AdMob.isInterstitialReady(function(isready) {
                    if (isready) {
                        AdMob.showInterstitial();
                        interstitialIsReady = false;
                        AdMob.prepareInterstitial({
                            adId: admobid.interstitial,
                            isTesting: false, // TODO: remove this line when release
                            autoShow: false
                        });
                    }
                });
            }
        }, 100);
    }
}

if ((/(ipad|iphone|ipod|android|windows phone)/i.test(navigator.userAgent))) {
    document.addEventListener('deviceready', initApp, false);
} else {
    initApp();
}
