// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic'])

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            cordova.plugins.Keyboard.disableScroll(true);

        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
            StatusBar.hide();
        }
    });
})

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app', {
            url: '/app',
            abstract: true,
            templateUrl: 'templates/menu.html'
        })

    .state('app.page_1', { url: '/page_1', views: { 'menuContent': { templateUrl: 'templates/page_1.html' } } })
    .state('app.page_2', { url: '/page_2', views: { 'menuContent': { templateUrl: 'templates/page_2.html' } } })
.state('app.page_3', { url: '/page_3', views: { 'menuContent': { templateUrl: 'templates/page_3.html' } } })
.state('app.page_4', { url: '/page_4', views: { 'menuContent': { templateUrl: 'templates/page_4.html' } } })
$urlRouterProvider.otherwise('/app/page_1');
});
